mflt_run(3m17n)

NAME
mflt_run - Layout characters with an FLT.

SYNOPSIS
int mflt_run (MFLTGlyphString * gstring, int from, int to, MFLTFont * font, MFLT * flt)

DESCRIPTION
Layout characters with an FLT.

The mflt_run() function layouts characters in gstring between from (inclusive) and to (exclusive) with font. If flt is nonzero, it is used for all the charaters. Otherwise, appropriate FLTs are automatically chosen.

Return values:
    >=0 The operation was successful. The value is the index to the glyph, which was previously indexed by to, in gstring->glyphs.
    -2 gstring->glyphs is too short to store the result. The caller can call this fucntion again with a longer gstring->glyphs.
    -1 Some other error occurred.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.